Zum Hauptinhalt springen
PATCH
Update Article
Die Antwort ist { "success": true, "article": { … } }. article.plots enthält die eindeutigen Parzellen des Artikels ohne Geometrie, höchstens 1000 Einträge (nach id sortiert); article.plotsTruncated: true zeigt an, dass es mehr gibt. Die Geometrie einer Parzelle liefert GET /api/v1/plots/{id}.

Autorisierungen

Authorization
string
header
erforderlich

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Pfadparameter

id
string<uuid>
erforderlich

Body

application/json
fields
object

Article fields to update. Any other key is dropped silently.

supplierIds
string<uuid>[]

Replace all supplier associations with this list of supplier IDs

Antwort

Updated successfully

success
boolean
erforderlich

Always true on success.

article
object
erforderlich

An article as returned by GET /articles, GET /articles/{id} and PATCH /articles/{id}.